#4 Don't turn warnings into errors (RHBZ#2261551)
Merged 2 months ago by gui1ty. Opened 2 months ago by gui1ty.
rpms/ gui1ty/python-chaospy ftbfs  into  rawhide

file added
+14
@@ -0,0 +1,14 @@ 

+ upstream_project_url: https://github.com/jonathf/chaospy

+ upstream_tag_template: v{version}

+ copy_upstream_release_description: false

+  

+ jobs:

+   - job: pull_from_upstream

+     trigger: release

+     dist_git_branches:

+       - fedora-rawhide

+   - job: koji_build

+     trigger: commit

+     dist_git_branches:

+       - fedora-all

+ 

file modified
+3
@@ -43,6 +43,9 @@ 

  # https://github.com/jonathf/chaospy/issues/307#issuecomment-735379840

  sed -i 's/numpoly.*/numpoly>=1.2.7/' requirements.txt

  

+ # Don't error on DeprecationWarning in tests

+ sed -i '/error::DeprecationWarning/d' pyproject.toml

+ 

  %generate_buildrequires

  export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}

  %pyproject_buildrequires -r

Build succeeded.
https://fedora.softwarefactory-project.io/zuul/buildset/56dae4a32f0943b3aea8e6c14df1555b

Pull-Request has been merged by gui1ty

2 months ago
Metadata